Bug 966740 - Firefox segfaults in nsFontMetrics::GetMetrics() on PPC64
Firefox segfaults in nsFontMetrics::GetMetrics() on PPC64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
19
ppc64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 16:14 EDT by Gustavo Luiz Duarte
Modified: 2015-02-17 10:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:19:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (25.68 KB, text/plain)
2013-05-23 16:14 EDT, Gustavo Luiz Duarte
no flags Details

  None (edit)
Description Gustavo Luiz Duarte 2013-05-23 16:14:11 EDT
Created attachment 752372 [details]
backtrace

Description of problem:

Firefox segfaults at startup on ppc64:

Program received signal SIGSEGV, Segmentation fault.  
0x00003fffb58152c0 in nsFontMetrics::GetMetrics (this=this@entry=0x3fffa1857420)
    at /usr/src/debug/xulrunner-21.0/mozilla-release/gfx/src/nsFontMetrics.cpp:129
129         return mFontGroup->GetFontAt(0)->GetMetrics();


Version-Release number of selected component (if applicable):
xulrunner-21.0-5.fc19
firefox-21.0-4.fc19

How reproducible:
Always

Steps to Reproduce:
1. Launch firefox
2.
3.

Actual results:
Segmentation fault. Backtrace attached
Comment 1 Jan Horak 2013-05-24 09:43:45 EDT
Hm, are you sure you have fonts installed (like X11 and dependencies).
Comment 2 Gustavo Luiz Duarte 2013-05-24 09:56:16 EDT
How can I verify that?
I'm using firefox under VNC.
Comment 3 Gustavo Luiz Duarte 2013-05-24 14:14:33 EDT
Thanks Jan!

It looks like I needed a dependency.
I had done a minimal f19 install and then installed firefox and VNC. This used to work for me in the past, but apparently it no longer works.
Doing a full graphical install makes firefox work much better. Firefox crashed the first time I launched it, but worked fine subsequently.

Shouldn't these required fonts (or whatever other deps Firefox needs) be installed as a result of yum install firefox ? Or the minimal install + firefox and VNC is just a non-supported setup?
Comment 4 Martin Stransky 2013-05-27 06:14:37 EDT
No, we can't depend on any font - it has to be a part of minimal usable X environment. I'm sure other X apps will crash there too.
Comment 5 Martin Stransky 2013-05-27 06:19:15 EDT
OTOH firefox may throw some decent error message instead of the crash...but unfortunately if we fix this one it may crash in cairo as well. 

We should consider to give a hint to user, for instance from firefox sh launch script or so. BTW. which font files have you installed?
Comment 6 Fedora End Of Life 2015-01-09 13:12:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:19:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.